import React, { Fragment } from 'react';
import { FormattedMessage, FormattedHTMLMessage } from 'react-intl';
import PropTypes from 'prop-types';
import { FormHeader } from '../form/form-header/form-header';

export const HeadDescription = ({
  head,
  headValues,
  desc,
  descValues,
}) => (
  <Fragment>
    <h2>
      <FormattedHTMLMessage id={head} values={{ ...headValues }} />
    </h2>
    <FormHeader>
      <FormattedMessage id={desc} values={{ ...descValues }} />
    </FormHeader>
  </Fragment>
);

HeadDescription.propTypes = {
  head: PropTypes.string.isRequired,
  desc: PropTypes.string.isRequired,
  headValues: PropTypes.objectOf(PropTypes.string),
  descValues: PropTypes.objectOf(PropTypes.string),
};

HeadDescription.defaultProps = {
  headValues: null,
  descValues: null,
};
